Get all specs

View as Markdown
Gets all API specifications in a workspace.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

workspaceIdstringRequired
The workspace's ID.
cursorstringOptional

The pointer to the first record of the set of paginated results. To view the next response, use the nextCursor value for this parameter.

limitintegerOptionalDefaults to 10
The maximum number of rows to return in the response.

Response

Successful Response
metaobject
The response's meta information for paginated results.
specslist of objects
A list of API specifications.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error